﻿[string]$server = ""
[string]$uid = ""
[string]$pwd = ""
[string]$database = ""

try {

[void][System.Reflection.Assembly]::LoadWithPartialName("MySql.Data")
    } catch {
    Write-Host "Could not run MySQL Query" $Error[0]    
     }

$connectionString = "server=$server;uid=$uid;pwd=$pwd;database=$database;"

$connection = New-Object MySql.Data.MySqlClient.MySqlConnection
$connection.ConnectionString = $connectionString
$connection.Open()

$sql = "SHOW TABLES"
$command = New-Object MySql.Data.MySqlClient.MySqlCommand($sql, $connection)
$dataAdapter = New-Object MySql.Data.MySqlClient.MySqlDataAdapter($command)
$dataSet = New-Object System.Data.DataSet
$dataAdapter.Fill($dataSet, "tbl_data")
$UseDataSet = $dataSet.Tables[0]

foreach ($row in $UseDataSet) {
"-----------------------"
"Table =  : $($Row[0])"



$sql = "SHOW COLUMNS FROM $database.$($Row[0]) "
$command = New-Object MySql.Data.MySqlClient.MySqlCommand($sql, $connection)
$dataAdapter = New-Object MySql.Data.MySqlClient.MySqlDataAdapter($command)
$dataSet = New-Object System.Data.DataSet
$dataAdapter.Fill($dataSet, "col_data")
# show contents of table
#$dataSet.Tables["col_data"]
$UseDataSet = $dataSet.Tables[0]

foreach ($row in $UseDataSet) {
"Col = " + $row.Field + " - " + $row.Type

	

} # end of tables for each column
} # end of tables for each table

		
$connection.Close()
